%global momorel 2
%global xfce4ver 4.4.2

Summary:        Smart Package Manager plugin for the Xfce panel
Name:           xfce4-smartpm-plugin
Version:        0.2.2
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/System
Source:         http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
# Source0-md5:  b67b164266a58f3651201be11b6aea04
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}

BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
BuildRequires:  gettext
BuildRequires:  libXt-devel
Requires:	xfce4-panel >= %{xfce4ver}
Requires:	smart smart-gui

Provides:	xfce4-smart-plugin = %{version}
Obsoletes:	xfce4-smart-plugin <= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Plugin for the Xfce4 panel that checks for package upgrades using the Smart
Package Manager. Install the "smart-update" package for silent channel updates.

%prep
%setup -q

%build
%configure --disable-static --program-prefix=""
%{__make}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} program-prefix=""
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS ChangeLog README THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/xfce*-*.png
%{_datadir}/icons/hicolor/*/apps/xfce*-*.svg

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-1m)
- initial Momonga package base on PLD
